This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90855 - Laptop freeses using serial-usb and kde
Laptop freeses using serial-usb and kde
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 90910 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 14:06 EDT by Sigurjon Sindrason
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sigurjon Sindrason 2003-05-14 14:06:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
using minicom in a terminal window, connected via usb-serial adapter
connection to another linux machine also using minicom, but internal
serial connector, I can freese the entire laptop ( Compac evo N800v )
simply by sending a lot of data to the laptop ( ctl-z-s, ascii )
and while the data is flowing into the laptop terminal window, I issue
a quit of the minicom ( ctl-z-x ), and it freeses in ( leave minicom - yes no ).

If I try the same in run level 5, not in graphical mode this does not
happen.

I have tried this while connected to the laptop over the network
and the network freeses also


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On the laptop, having no serial connection, connect usb-serial adapter
2.connect serial1 from another linux to the serial port on the usb-serial, use
null modem cable
3.issue minicom , using /dev/ttyS0 on the linux ( rh 8.0 )
4. issue minicom, using /dev/ttyUSB0 on the laptop ( linux rh 9.0 )
5. send a large ascii file from the linux ( ctl-z-s , ascii mode ) to the
laptop, and while the laptop is receiving the file into the terminal window,
issue ( ctl-z-x ), and the laptop freeses...


    

Actual Results:  laptop freeses ( I believe the reason is buffer overflow )...


Expected Results:  in non graphic mode, the minicom just exits

Additional info:
Comment 1 Sigurjon Sindrason 2003-05-15 05:26:37 EDT
The usb-serial product is BAFO  BF-810 
Comment 2 Sigurjon Sindrason 2003-05-15 05:30:40 EDT
The usb-serial converter is from BAFO, model BF-810 
Comment 3 Pete Zaitcev 2003-06-02 21:31:52 EDT
*** Bug 90910 has been marked as a duplicate of this bug. ***
Comment 4 Pete Zaitcev 2003-06-06 13:17:45 EDT
I don't have the equipment. Is there a way to create the same
effect in text mode outside of KDE? For instance, I use kermit
for serial communications. The reason for doing it is to try
and catch any failure messages.
Comment 5 Sigurjon Sindrason 2003-07-15 09:25:20 EDT
I have not been able to get this effect ( lockup ) in text mode
only in KDE..

Comment 6 Richard Allen 2003-07-15 09:30:58 EDT
I've also seen this happen.   I think it's the USB->Serial driver thats acting up.
There is quite a lot of discussion about this on the GPSDrive mailinglist.

http://s2.selwerd.nl/~dirk-jan/gpsdrive/archive/msg02443.html For example.


Comment 7 Pete Zaitcev 2003-11-15 21:29:59 EST
I think this is a dup of bug 90442, most likely.
Comment 8 Pete Zaitcev 2003-12-23 16:11:41 EST
Please test
 ftp://people.redhat.com/zaitcev/tmp/
 kernel*-2.4.20-20.7.5.u4*.rpm    <----- select as appropriate
Comment 9 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.